package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 星广联投回传日志
 * @TableName t_game_oceanengine_app_back_log_xglt
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_game_oceanengine_app_back_log_xglt")
public class GameOceanengineAppBackLogXglt implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 星广联投任务id
     */
    private Long demandId;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 玩家id
     */
    private String userId;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 事件类型
     */
    private String eventType;

    /**
     * 回调请求
     */
    private String callBackUri;

    /**
     * 回传结果
     */
    private String callBackResult;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}