package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 腾讯 APP回传日志表
 * </p>
 *
 * @author wcc
 * @since 2024-06-28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(GameTencentAppBackLog.TABLE_NAME)
public class GameTencentAppBackLog implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "t_game_tencent_app_back_log";

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 用户设备mac地址
     */
    private String mac;

    /**
     * 设备唯一编号IMEI
     */
    private String imei;

    /**
     * 设备OAID
     */
    private String oaid;

    /**
     * 安卓id, (仅安卓设备才有值)
     */
    private String androidId;

    /**
     * IOS设备IDFA
     */
    private String idfa;

    /**
     * IOS设备CAID
     */
    private String caid;

    /**
     * 游戏id
     */
    private Long gameId;

    /**
     * 广告账号ID
     */
    private Long accountId;

    /**
     * 事件类型
     */
    private String eventType;

    /**
     * 触发回传的日志 id
     */
    private Long eventLogId;

    /**
     * 支付回传的支付金额
     */
    private Long payAmount;

    /**
     * 回传状态（0：成功、-1：失败）
     */
    private Integer backStatus;

    /**
     * 回传失败的错误日志
     */
    private String errMsg;

    /**
     * 回传时间
     */
    private LocalDateTime createTime;

    /**
     * 数据源ID
     */
    private Long userActionSetId;

}