package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 游戏腾讯APP订单表
 * </p>
 *
 * @author wcc
 * @since 2024-06-28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(GameTencentAppOrder.TABLE_NAME)
public class GameTencentAppOrder implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "t_game_tencent_app_order";

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 用户设备mac地址
     */
    private String mac;

    /**
     * 设备唯一编号IMEI
     */
    private String imei;

    /**
     * 设备OAID
     */
    private String oaid;

    /**
     * 安卓id, (仅安卓设备才有值)
     */
    private String androidId;

    /**
     * IOS设备IDFA
     */
    private String idfa;

    /**
     * IOS设备CAID
     */
    private String caid;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 广告账号_id
     */
    private Long accountId;

    /**
     * 回传策略id
     */
    private Long backPolicyId;

    /**
     * 渠道标识
     */
    private String agentKey;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 订单金额（分）
     */
    private Long amount;

    /**
     * 支付状态，0 : 预下单, 1 : 待支付，2 : 支付成功，-1 : 已取消
     */
    private Integer orderStatus;

    /**
     * 下单时间
     */
    private LocalDateTime createTime;

    /**
     * 支付时间
     */
    private LocalDateTime payTime;

    /**
     * 回传状态
     */
    private Integer backStatus;

    /**
     * 注册时间
     */
    private LocalDateTime regTime;

    /**
     * 角色id
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 是否是首单
     */
    private Boolean isFirstOrder;

    /**
     * 回传金额
     */
    private Long backMoney;

    /**
     * 回传信息
     */
    private String backMsg;

    /**
     * 数据源ID
     */
    private Long userActionSetId;

}