package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 游戏腾讯APP角色创建表
 * </p>
 *
 * @author wcc
 * @since 2024-06-28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(GameTencentAppRoleRegister.TABLE_NAME)
public class GameTencentAppRoleRegister implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "t_game_tencent_app_role_register";

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 回传策略id
     */
    private Long backPolicyId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 用户设备mac地址
     */
    private String mac;

    /**
     * 设备唯一编号IMEI
     */
    private String imei;

    /**
     * 设备OAID
     */
    private String oaid;

    /**
     * 安卓id, (仅安卓设备才有值)
     */
    private String androidId;

    /**
     * IOS设备IDFA
     */
    private String idfa;

    /**
     * IOS设备CAID
     */
    private String caid;

    /**
     * 游戏ID
     */
    private Long gameId;

    /**
     * 广告账号_id
     */
    private Long accountId;

    /**
     * 渠道标识
     */
    private String agentKey;

    /**
     * 角色 id
     */
    private String roleId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色等级
     */
    private Long roleLevel;

    /**
     * 创角时间
     */
    private LocalDateTime registerTime;

    /**
     * 回传状态
     */
    private Integer backStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 数据源ID
     */
    private Long userActionSetId;

}
